Bug 131923 - Upgrade to 3.06 fails group authentication
Upgrade to 3.06 fails group authentication
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 16:38 EDT by Sharif Islam
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharif Islam 2004-09-06 16:38:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
We are using winbind domain authentication for samba. 

Windows users getting a password prompt while connecting from the NT
domain to the samba box. On the console 'groups username' returns
username not found. wbinfo -t,u,g returns the usual. However, the
machine cannot autheticate the user in the NT domain.

[2004/09/06 14:52:37, 0] nsswitch/winbindd_util.c:winbindd_param_init(560)
  winbindd: idmap uid range missing or invalid
[2004/09/06 14:52:37, 0] nsswitch/winbindd_util.c:winbindd_param_init(561)
  winbindd: cannot continue, exiting.
[2004/09/06 14:52:51, 1] nsswitch/winbindd.c:main(843)
  winbindd version 3.0.4-6.3E started.
  Copyright The Samba Team 2000-2004
[2004/09/06 14:52:51, 0] nsswitch/winbindd_util.c:winbindd_param_init(560)
  winbindd: idmap uid range missing or invalid
[2004/09/06 14:52:51, 0] nsswitch/winbindd_util.c:winbindd_param_init(561)
  winbindd: cannot continue, exiting.

Version-Release number of selected component (if applicable):
samba-3.0.6-2

How reproducible:
Always

Steps to Reproduce:
1.Update to 3.06
2. groups 'username' 
3. from windows machine \\sambamachine  

Actual Results:  Windows user gets password prompt

Expected Results:  User should be authenticated with the curret NT
login/username via winbind. 

Additional info:
Comment 1 Ciaran Carter 2004-09-15 09:52:02 EDT
I have the same problem in ADS mode. A user tyring to browse a share
on a 3.06 samba server (running on ES3 Update 3) gets a
username/password prompt box rather than logging in using current
credentials. Further more the user can only log in succesfully by
placing a non-existent domain name before thier username:

username and password fails
domain\username and password fails
randomstring\username and password succeeds

Winbind authentication via SSH works correctly.
Comment 2 Ciaran Carter 2004-09-28 07:06:11 EDT
This has not been fixed by the upgrade to 3.07.
Comment 3 RHEL Product and Program Management 2007-10-19 15:19:18 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.